{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":534,"path":"api-reference/rest-apis/quote-management-api.md","title":"Quote Management API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Quote Management API\n\nThe Quote Management API provides endpoints to create, update, and retrieve customer quote data.\n\nThe Quote Management Open API is a ServiceNow implementation of the TM Forum Quote Management API REST specification. This implementation is based on [https://www.tmforum.org/resources/standard/tmf648-quote-management-api-rest-specification-r19-0-0/](https://www.tmforum.org/resources/standard/tmf648-quote-management-api-rest-specification-r19-0-0/).\n\nThis API can be extended to make customizations around required parameters, request body validation, additional REST operations and field mappings.\n\nThe Quote Management API requires the Quote Management \\(com.sn\\_quote\\_mgmt\\) plugin and the quote\\_integrator role. This API belongs to the sn\\_tmf\\_api namespace. See .\n\nThe Quote Management API creates or updates data in the following tables:\n\n-   Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n-   Sales Agreement \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n-   Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n-   Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n-   Quote Pricing Adjustment \\[sn\\_quote\\_mgmt\\_core\\_pricing\\_adjustment\\]\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Quote Management API - DELETE /sn\\_tmf\\_api/quote\\_management\\_api/quote/\\{id\\}\n\nDeletes the specified quote.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/quote_management_api/quote/{id}`\n\nDefault URL: `/api/sn_tmf_api/quote_management_api/quote/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the quote to delete.Data type: String\n\nTable: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|204|Successful. Request completed successfully and the specified quote was deleted. No content.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n\n### Response body parameters \\(JSON\\)\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### cURL request\n\nThis example shows how to delete a quote.\n\n```\ncurl \"http://instance.servicenow.com/api/sn_tmf_api/quote_management_api/quote/cb15734fd5692a10f8774663edf0ac19\" \\ \n--request DELETE\\ \n--header \"Accept:application/json\" \\ \n--user 'username':'password'\n```\n\n## Quote Management API – GET /sn\\_tmf\\_api/quote\\_management\\_api/quote\n\nRetrieves all quotes.\n\nThis API retrieves quote information from the following related tables:\n\n-   Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n-   Sales Agreement \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n-   Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n-   Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n-   Quote Pricing Adjustment \\[sn\\_quote\\_mgmt\\_core\\_pricing\\_adjustment\\]\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/quote_management_api/quote`\n\nDefault URL: `/api/sn_tmf_api/quote_management_api/quote`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"table_pfr_vgy_fsb\" class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nfields\n\n</td><td>\n\nList of fields to return in the response. Invalid fields are ignored. Valid fields:\n\n-   quoteNumber\n-   href\n-   id\n-   description\n-   externalId\n-   expectedQuoteCompletionDate\n-   version\n-   @type\n\nData type: String\n\nDefault: All fields returned.\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nFilter results by quote sys\\_id.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\nData type: String\n\nDefault: Empty\n\n</td></tr><tr><td>\n\nlimit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **offset** parameter to paginate record retrieval. Data type: Number\n\nDefault: 20\n\nMaximum: 100\n\n</td></tr><tr><td>\n\noffset\n\n</td><td>\n\nStarting index at which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.Data type: Number\n\nDefault: 0\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n<table id=\"table_h4r_fxr_nsb\" class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr id=\"content-range-row\"><td>\n\nContent-Range\n\n</td><td>\n\nRange of content returned in a paginated call. For example, if `offset=2` and `limit=3`, the value of the **Content-Range** header is `items 3-5`.\n\n</td></tr><tr id=\"content-type-row\"><td>\n\nContent-Type\n\n</td><td>\n\nData format of the response body. Only supports **application/json**.\n\n</td></tr><tr id=\"links-pagination-row\"><td>\n\nLink\n\n</td><td>\n\nContains the following links to navigate through query results.-   first\n-   last\n-   next\n-   previous\n\n</td></tr><tr id=\"x-total-count-row\"><td id=\"x-total-count\">\n\nX-Total-Count\n\n</td><td>\n\nFor paginated queries, this header specifies the total number of records available on the server.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_abf_sn5_4sb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"tmf-get-status-200-entry\">\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td id=\"tmf-get-status-206-entry\">\n\nPartial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"tmf-get-status-400-entry\">\n\nBad request. Possible reasons:\n\n-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"tmf-get-status-404-entry\">\n\nRecord not found. No records matching the query parameters are found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_jlb_1qx_kqb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of contact mediums. Contact information related to the quote requester.```\n\"contactMedium\": [\n {\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"postCode\": \"String\",\n  \"stateOrProvince\": \"String\",\n  \"street\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the location listed in the Location \\[cmn\\_location\\] table or custom address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nType of contact medium, such as email address, telephone number, or postal address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostal code of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nState or province in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street\n\n</td><td>\n\nStreet address of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of medium per the TMF Open API standard. For example, `GeographicalAddressContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the quote.Data type: String\n\n</td></tr><tr><td>\n\nexpectedQuoteCompletionDate\n\n</td><td>\n\nThe expected date from quote supplier to be able to send back a response for this quote.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nUnique consumer-provided ID for the quote.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to access the quote.Data type: String\n\nDefault: Empty string\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the requested quote.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes associated with the quote. Data type: Array\n\n```\n\"note\": [\n  {\n    \"author\": \"String\",\n    \"date\": \"String\",\n    \"text\": \"String\",\n    \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nnote.author\n\n</td><td>\n\nUser name of the person that authored the associated note.Data type: String\n\n</td></tr><tr><td>\n\nnote.date\n\n</td><td>\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nContents of the note. Data type: String\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nquoteDate\n\n</td><td>\n\nDate and time at which the quote was created.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"quoteItem\": [\n {\n  \"action\": \"String\",\n  \"id\": \"String\",\n  \"product\": {Object},\n  \"productOffering\": {Object},\n  \"quantity\": Number,\n  \"state\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.action\n\n</td><td>\n\nAction to be performed on this quote item \\(add, modify, remove, etc.\\).Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.id\n\n</td><td>\n\nSys\\_id of the quote item.Table: Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product\n\n</td><td>\n\nList of products included in the quote.```\n\"product\": {\n  \"characteristic\": \"String\",\n  \"specification\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic\n\n</td><td>\n\nList of product characteristics.Data type: Array of Objects\n\n```\n\"characteristic\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\nSee [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md).\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.id\n\n</td><td>\n\nSys\\_id of the product characteristic.Table: Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.name\n\n</td><td>\n\nName of the product characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.@type\n\n</td><td>\n\nThis value is always `StringCharacteristic`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. specification\n\n</td><td>\n\nDetailed description of a tangible or intangible object made available externally in the form of a ProductOffering to customers or other parties playing a party role.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product.@type\n\n</td><td>\n\nThis value is always `Product`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productOffering\n\n</td><td>\n\nA product offering reference \\(ProductOfferingRef\\). A product offering represents entities that are orderable from the provider of the catalog.```\n\"productOffering\": {\n  \"href\": \"String\",\n  \"name\": \"String\",\n  \"name\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.href\n\n</td><td>\n\nReference of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.id\n\n</td><td>\n\nSys\\_id of product offering.Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.name\n\n</td><td>\n\nName of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.quantity\n\n</td><td>\n\nQuantity asked for this quote item.Data type: Number\n\n</td></tr><tr><td>\n\nquoteItem.state\n\n</td><td>\n\nA quote state type \\(QuoteStateType\\). State of the quote.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.@type\n\n</td><td>\n\nThis value is always `QuoteItem`.Data type: String\n\n</td></tr><tr><td>\n\nquoteNumber\n\n</td><td>\n\nQuote line item record number assigned to the quote.Table: Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the order.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"role\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the quote table to get the account, contact, or customer.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\n Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer. Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nThe role of the party in the context of the quote \\(e.g., Account, Contact, or Customer\\).Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nrequestedQuoteCompletionDate\n\n</td><td>\n\nA date time \\(DateTime\\). This value represents the date specified by the quote requester by which to receive a complete response for this quote.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the quote item.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nType of resource. This value is always `Quote`. This information isn’t stored.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example retrieves all quotes.\n\n```\ncurl \"https://instance.service-now.com/api/sn_tmf_api/quote_management_api/quote\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'userName':'password'\n```\n\nResponse body.\n\n```\n{\n  \"id\": \"47e562bad565a610f8774663edf0ac10\",\n  \"quoteNumber\": \"QT0001001\",\n  \"href\": \"api/sn_tmf_api/quote_management_api/quote/47e562bad565a610f8774663edf0ac10\",\n  \"@type\": \"Quote\",\n  \"description\": \"Testing Quote\",\n  \"expectedQuoteCompletionDate\": \"2025-05-23 11:12:08\",\n  \"externalId\": \"Test_1234\",\n  \"quoteDate\": \"2025-05-20 11:11:13\",\n  \"requestedQuoteCompletionDate\": \"2025-05-23 11:12:08\",\n  \"version\": \"3\",\n  \"agreement\": [],\n  \"contactMedium\": [\n    {\n      \"@type\": \"GeographicalAddressContactMedium\",\n      \"mediumType\": \"ShippingAddressRef\",\n      \"locationId\": \"6774fee611383110f877366201dea64f\",\n      \"city\": \"Santa Clara\",\n      \"country\": \"USA\",\n      \"postCode\": \"94560\",\n      \"stateOrProvince\": \"CA\",\n      \"street\": \"222 Star St\"\n    }\n  ],\n  \"note\": [],\n  \"quoteItem\": [\n    {\n      \"id\": \"8be562bad565a610f8774663edf0ac16\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\",\n        \"productCharacteristic\": [\n          {\n            \"id\": \"0fe562bad565a610f8774663edf0ac17\",\n            \"name\": \"Voice Pack\",\n            \"value\": \"1500 Minutes/Month\"\n          },\n          {\n            \"id\": \"4be562bad565a610f8774663edf0ac17\",\n            \"name\": \"SMS Pack\",\n            \"value\": \"700 /Month\"\n          },\n          {\n            \"id\": \"83e562bad565a610f8774663edf0ac18\",\n            \"name\": \"Data Pack\",\n            \"value\": \"20 GB/Month\"\n          },\n          {\n            \"id\": \"87e562bad565a610f8774663edf0ac17\",\n            \"name\": \"Mobile Number\",\n            \"value\": \"\"\n          },\n          {\n            \"id\": \"cfe562bad565a610f8774663edf0ac17\",\n            \"name\": \"Shipping Address\",\n            \"value\": \"\"\n          }\n        ],\n        \"productSpecification\": {\n          \"id\": \"3ee1fdb1c3331010d216b5183c40dd81\",\n          \"href\": \"api/sn_tmf_api/catalogmanagement/productSpecification/3ee1fdb1c3331010d216b5183c40dd81\",\n          \"name\": \"Mobile Plan\",\n          \"@type\": \"ProductSpecificationRef\"\n        }\n      },\n      \"productOffering\": {\n        \"id\": \"2cb5588fc30020105252716b7d40dddd\",\n        \"href\": \"api/sn_tmf_api/catalogmanagement/productOffering/2cb5588fc30020105252716b7d40dddd\",\n        \"name\": \"All in one mobile plan starting from $49/month\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"quoteItemPrice\": [\n        {\n          \"description\": \"Standard Price List\",\n          \"name\": \"Standard Price List\",\n          \"priceType\": \"Recurring\",\n          \"recurringChargePeriod\": \"\",\n          \"unitOfMeasure\": \"\",\n          \"unitMarginPercentage\": \"\",\n          \"price\": {\n            \"totalOneTimePrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"monthlyRecurringPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"annualRecurringPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"cumulativeRecurringPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"cumulativeAnnualRecurringPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"cumulativeNetPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"unitMarginAmount\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"unitMarginBasePrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"listPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"unitCost\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"unitPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"dutyFreeAmount\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"taxIncludedAmount\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            }\n          },\n          \"priceAlteration\": []\n        }\n      ]\n    }\n  ],\n  \"relatedParty\": [\n    {\n      \"role\": \"Customer\",\n      \"id\": \"9e2fd2ee11b43110f877366201dea674\",\n      \"name\": \"Startech svcs\",\n      \"@type\": \"RelatedPartyRef\",\n      \"@referredType\": \"Organization\"\n    },\n    {\n      \"role\": \"CustomerContact\",\n      \"id\": \"dca96eaa11f43110f877366201dea6c1\",\n      \"name\": \"Alex Star\",\n      \"@type\": \"RelatedPartyRef\",\n      \"@referredType\": \"Individual\"\n    }\n  ],\n  \"state\": \"Draft\"\n}\n```\n\n## Quote Management API – GET /sn\\_tmf\\_api/quote\\_management\\_api/quote/\\{id\\}\n\nRetrieves a specified quote.\n\nThis API retrieves quote information from the following related tables:\n\n-   Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n-   Sales Agreement \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n-   Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n-   Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n-   Quote Pricing Adjustment \\[sn\\_quote\\_mgmt\\_core\\_pricing\\_adjustment\\]\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/quote_management_api/quote/{id}`\n\nDefault URL: `/api/sn_tmf_api/quote_management_api/quote/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the quote to retrieve.Data type: String\n\nTable: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_abf_sn5_4sb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"tmf-get-status-200-entry\">\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n206\n\n</td><td id=\"tmf-get-status-206-entry\">\n\nPartial resource returned in response \\(with pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td id=\"tmf-get-status-400-entry\">\n\nBad request. Possible reasons:\n\n-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td id=\"tmf-get-status-404-entry\">\n\nRecord not found. No records matching the query parameters are found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_jlb_1qx_kqb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of contact mediums. Contact information related to the quote requester.```\n\"contactMedium\": [\n {\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"postCode\": \"String\",\n  \"stateOrProvince\": \"String\",\n  \"street\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the location listed in the Location \\[cmn\\_location\\] table or custom address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nType of contact medium, such as email address, telephone number, or postal address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostal code of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nState or province in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street\n\n</td><td>\n\nStreet address of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of medium per the TMF Open API standard. For example, `GeographicalAddressContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the quote.Data type: String\n\n</td></tr><tr><td>\n\nexpectedQuoteCompletionDate\n\n</td><td>\n\nThe expected date from quote supplier to be able to send back a response for this quote.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nUnique consumer-provided ID for the quote.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to access the quote.Data type: String\n\nDefault: Empty string\n\n</td></tr><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the requested quote.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes associated with the quote. Data type: Array\n\n```\n\"note\": [\n  {\n    \"author\": \"String\",\n    \"date\": \"String\",\n    \"text\": \"String\",\n    \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nnote.author\n\n</td><td>\n\nUser name of the person that authored the associated note.Data type: String\n\n</td></tr><tr><td>\n\nnote.date\n\n</td><td>\n\nDate that the note was created.Data type: String\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nContents of the note. Data type: String\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nquoteDate\n\n</td><td>\n\nDate and time at which the quote was created.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"quoteItem\": [\n {\n  \"action\": \"String\",\n  \"id\": \"String\",\n  \"product\": {Object},\n  \"productOffering\": {Object},\n  \"quantity\": Number,\n  \"state\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.action\n\n</td><td>\n\nAction to be performed on this quote item \\(add, modify, remove, etc.\\).Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.id\n\n</td><td>\n\nSys\\_id of the quote item.Table: Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product\n\n</td><td>\n\nList of products included in the quote.```\n\"product\": {\n  \"characteristic\": \"String\",\n  \"specification\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic\n\n</td><td>\n\nList of product characteristics.Data type: Array of Objects\n\n```\n\"characteristic\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\nSee [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md).\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.id\n\n</td><td>\n\nSys\\_id of the product characteristic.Table: Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.name\n\n</td><td>\n\nName of the product characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.@type\n\n</td><td>\n\nThis value is always `StringCharacteristic`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. specification\n\n</td><td>\n\nDetailed description of a tangible or intangible object made available externally in the form of a ProductOffering to customers or other parties playing a party role.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product.@type\n\n</td><td>\n\nThis value is always `Product`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productOffering\n\n</td><td>\n\nA product offering reference \\(ProductOfferingRef\\). A product offering represents entities that are orderable from the provider of the catalog.```\n\"productOffering\": {\n  \"href\": \"String\",\n  \"name\": \"String\",\n  \"name\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.href\n\n</td><td>\n\nReference of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.id\n\n</td><td>\n\nSys\\_id of product offering.Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.name\n\n</td><td>\n\nName of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.quantity\n\n</td><td>\n\nQuantity asked for this quote item.Data type: Number\n\n</td></tr><tr><td>\n\nquoteItem.state\n\n</td><td>\n\nA quote state type \\(QuoteStateType\\). State of the quote.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.@type\n\n</td><td>\n\nThis value is always `QuoteItem`.Data type: String\n\n</td></tr><tr><td>\n\nquoteNumber\n\n</td><td>\n\nQuote line item record number assigned to the quote.Table: Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the order.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"role\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the quote table to get the account, contact, or customer.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\n Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer. Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nThe role of the party in the context of the quote \\(e.g., Account, Contact, or Customer\\).Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nrequestedQuoteCompletionDate\n\n</td><td>\n\nA date time \\(DateTime\\). This value represents the date specified by the quote requester by which to receive a complete response for this quote.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the quote item.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nType of resource. This value is always `Quote`. This information isn’t stored.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThe following example retrieves a specified quote.\n\n```\ncurl \"https://instance.service-now.com/api/sn_tmf_api/quote_management_api/quote/04ba9004f11f3110f8777d7194f166f6\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'userName':'password'\n```\n\nResponse body.\n\n```\n{\n  \"id\": \"47e562bad565a610f8774663edf0ac10\",\n  \"quoteNumber\": \"QT0001001\",\n  \"href\": \"api/sn_tmf_api/quote_management_api/quote/47e562bad565a610f8774663edf0ac10\",\n  \"@type\": \"Quote\",\n  \"description\": \"Testing Quote\",\n  \"expectedQuoteCompletionDate\": \"2025-05-23 11:12:08\",\n  \"externalId\": \"Test_1234\",\n  \"quoteDate\": \"2025-05-20 11:11:13\",\n  \"requestedQuoteCompletionDate\": \"2025-05-23 11:12:08\",\n  \"version\": \"3\",\n  \"agreement\": [],\n  \"contactMedium\": [\n    {\n      \"@type\": \"GeographicalAddressContactMedium\",\n      \"mediumType\": \"ShippingAddressRef\",\n      \"locationId\": \"6774fee611383110f877366201dea64f\",\n      \"city\": \"Santa Clara\",\n      \"country\": \"USA\",\n      \"postCode\": \"94560\",\n      \"stateOrProvince\": \"CA\",\n      \"street\": \"222 Star St\"\n    }\n  ],\n  \"note\": [],\n  \"quoteItem\": [\n    {\n      \"id\": \"8be562bad565a610f8774663edf0ac16\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\",\n        \"productCharacteristic\": [\n          {\n            \"id\": \"0fe562bad565a610f8774663edf0ac17\",\n            \"name\": \"Voice Pack\",\n            \"value\": \"1500 Minutes/Month\"\n          },\n          {\n            \"id\": \"4be562bad565a610f8774663edf0ac17\",\n            \"name\": \"SMS Pack\",\n            \"value\": \"700 /Month\"\n          },\n          {\n            \"id\": \"83e562bad565a610f8774663edf0ac18\",\n            \"name\": \"Data Pack\",\n            \"value\": \"20 GB/Month\"\n          },\n          {\n            \"id\": \"87e562bad565a610f8774663edf0ac17\",\n            \"name\": \"Mobile Number\",\n            \"value\": \"\"\n          },\n          {\n            \"id\": \"cfe562bad565a610f8774663edf0ac17\",\n            \"name\": \"Shipping Address\",\n            \"value\": \"\"\n          }\n        ],\n        \"productSpecification\": {\n          \"id\": \"3ee1fdb1c3331010d216b5183c40dd81\",\n          \"href\": \"api/sn_tmf_api/catalogmanagement/productSpecification/3ee1fdb1c3331010d216b5183c40dd81\",\n          \"name\": \"Mobile Plan\",\n          \"@type\": \"ProductSpecificationRef\"\n        }\n      },\n      \"productOffering\": {\n        \"id\": \"2cb5588fc30020105252716b7d40dddd\",\n        \"href\": \"api/sn_tmf_api/catalogmanagement/productOffering/2cb5588fc30020105252716b7d40dddd\",\n        \"name\": \"All in one mobile plan starting from $49/month\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"quoteItemPrice\": [\n        {\n          \"description\": \"Standard Price List\",\n          \"name\": \"Standard Price List\",\n          \"priceType\": \"Recurring\",\n          \"recurringChargePeriod\": \"\",\n          \"unitOfMeasure\": \"\",\n          \"unitMarginPercentage\": \"\",\n          \"price\": {\n            \"totalOneTimePrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"monthlyRecurringPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"annualRecurringPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"cumulativeRecurringPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"cumulativeAnnualRecurringPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"cumulativeNetPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"unitMarginAmount\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"unitMarginBasePrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"listPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"unitCost\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"unitPrice\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"dutyFreeAmount\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            },\n            \"taxIncludedAmount\": {\n              \"unit\": \"USD\",\n              \"value\": 0\n            }\n          },\n          \"priceAlteration\": []\n        }\n      ]\n    }\n  ],\n  \"relatedParty\": [\n    {\n      \"role\": \"Customer\",\n      \"id\": \"9e2fd2ee11b43110f877366201dea674\",\n      \"name\": \"Startech svcs\",\n      \"@type\": \"RelatedPartyRef\",\n      \"@referredType\": \"Organization\"\n    },\n    {\n      \"role\": \"CustomerContact\",\n      \"id\": \"dca96eaa11f43110f877366201dea6c1\",\n      \"name\": \"Alex Star\",\n      \"@type\": \"RelatedPartyRef\",\n      \"@referredType\": \"Individual\"\n    }\n  ],\n  \"state\": \"Draft\"\n}\n```\n\n## Quote Management API - PATCH /sn\\_tmf\\_api/quote\\_management\\_api/quote/\\{id\\}\n\nUpdates the specified quote.\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/quote_management_api/quote/{id}`\n\nDefault URL: `/api/sn_tmf_api/quote_management_api/quote/{id}`\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nid\n\n</td><td>\n\nSys\\_id of the quote to update.Data type: String\n\nTable: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n<table id=\"table_m32_1l1_hwb\" class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of contact mediums. Contact information related to the quote requester.```\n\"contactMedium\": [\n {\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"postCode\": \"String\",\n  \"stateOrProvince\": \"String\",\n  \"street\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the location listed in the Location \\[cmn\\_location\\] table or custom address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nType of contact medium, such as email address, telephone number, or postal address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostal code of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nState or province in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street\n\n</td><td>\n\nStreet address of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of medium per the TMF Open API standard. For example, `GeographicalAddressContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the quote.Data type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes associated with the quote. Data type: Array\n\n```\n\"note\": [\n  {\n    \"text\": \"String\",\n    \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nContents of the note. Data type: String\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nquoteDate\n\n</td><td>\n\nDate and time at which the quote was created.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"quoteItem\": [\n {\n  \"action\": \"String\",\n  \"id\": \"String\",\n  \"product\": {Object},\n  \"productOffering\": {Object},\n  \"productRelationship\": {Object},\n  \"quantity\": Number,\n  \"state\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.action\n\n</td><td>\n\nAction to be performed on this quote item \\(add, modify, remove, etc.\\).Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.id\n\n</td><td>\n\nSys\\_id of the quote item.Table: Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product\n\n</td><td>\n\nList of products included in the quote.```\n\"product\": {\n  \"characteristic\": \"String\",\n  \"specification\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic\n\n</td><td>\n\nList of product characteristics.Data type: Array of Objects\n\n```\n\"characteristic\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\nSee [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md).\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.id\n\n</td><td>\n\nSys\\_id of the product characteristic.Table: Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.name\n\n</td><td>\n\nName of the product characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.@type\n\n</td><td>\n\nThis value is always `StringCharacteristic`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. specification\n\n</td><td>\n\nDetailed description of a tangible or intangible object made available externally in the form of a ProductOffering to customers or other parties playing a party role.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product.@type\n\n</td><td>\n\nThis value is always `Product`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productOffering\n\n</td><td>\n\nA product offering reference \\(ProductOfferingRef\\). A product offering represents entities that are orderable from the provider of the catalog.```\n\"productOffering\": {\n  \"href\": \"String\",\n  \"name\": \"String\",\n  \"name\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.href\n\n</td><td>\n\nReference of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.id\n\n</td><td>\n\nSys\\_id of product offering.Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.name\n\n</td><td>\n\nName of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"productRelationship\": [\n {\n  \"product\": \"String\",\n  \"relationshipType\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship. product\n\n</td><td>\n\nA product reference or value \\(ProductRefOrValue\\). A produt to be created defined by value or existing defined by reference.The product meets one of the following criteria:\n\n-   Pending product creation defined by the value.\n-   Existing product defined by reference.\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship. relationshipType\n\n</td><td>\n\nType of the product relationship, such as `bundled` if the product is a bundle and you want to describe the the bundled products within.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.quantity\n\n</td><td>\n\nQuantity asked for this quote item.Data type: Number\n\n</td></tr><tr><td>\n\nquoteItem.state\n\n</td><td>\n\nA quote state type \\(QuoteStateType\\). State of the quote.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.@type\n\n</td><td>\n\nThis value is always `QuoteItem`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the order.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"role\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the quote table to get the account, contact, or customer.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\n Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer. Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nThe role of the party in the context of the quote \\(e.g., Account, Contact, or Customer\\).Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the quote item.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nType of resource. This value is always `Quote`. This information isn’t stored.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_xfv_2vk_5rb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td>\n\nRequest successfully processed. Full resource returned in response \\(no pagination\\).\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad request. Possible reasons:\n\n-   Invalid path parameter\n-   Invalid URI\n\n</td></tr><tr><td>\n\n404\n\n</td><td>\n\nRecord not found. No records matching the query parameters are found in the table.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table id=\"table_t5s_hm1_hwb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of contact mediums. Contact information related to the quote requester.```\n\"contactMedium\": [\n {\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"postCode\": \"String\",\n  \"stateOrProvince\": \"String\",\n  \"street\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the location listed in the Location \\[cmn\\_location\\] table or custom address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nType of contact medium, such as email address, telephone number, or postal address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostal code of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nState or province in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street\n\n</td><td>\n\nStreet address of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of medium per the TMF Open API standard. For example, `GeographicalAddressContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the quote.Data type: String\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes associated with the quote. Data type: Array\n\n```\n\"note\": [\n  {\n    \"text\": \"String\",\n    \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nContents of the note. Data type: String\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nquoteDate\n\n</td><td>\n\nDate and time at which the quote was created.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"quoteItem\": [\n {\n  \"action\": \"String\",\n  \"id\": \"String\",\n  \"product\": {Object},\n  \"productOffering\": {Object},\n  \"productRelationship\": {Object},\n  \"quantity\": Number,\n  \"state\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.action\n\n</td><td>\n\nAction to be performed on this quote item \\(add, modify, remove, etc.\\).Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.id\n\n</td><td>\n\nSys\\_id of the quote item.Table: Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product\n\n</td><td>\n\nList of products included in the quote.```\n\"product\": {\n  \"characteristic\": \"String\",\n  \"specification\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic\n\n</td><td>\n\nList of product characteristics.Data type: Array of Objects\n\n```\n\"characteristic\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\nSee [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md).\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.id\n\n</td><td>\n\nSys\\_id of the product characteristic.Table: Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.name\n\n</td><td>\n\nName of the product characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.@type\n\n</td><td>\n\nThis value is always `StringCharacteristic`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. specification\n\n</td><td>\n\nDetailed description of a tangible or intangible object made available externally in the form of a ProductOffering to customers or other parties playing a party role.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product.@type\n\n</td><td>\n\nThis value is always `Product`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productOffering\n\n</td><td>\n\nA product offering reference \\(ProductOfferingRef\\). A product offering represents entities that are orderable from the provider of the catalog.```\n\"productOffering\": {\n  \"href\": \"String\",\n  \"name\": \"String\",\n  \"name\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.href\n\n</td><td>\n\nReference of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.id\n\n</td><td>\n\nSys\\_id of product offering.Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.name\n\n</td><td>\n\nName of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"productRelationship\": [\n {\n  \"product\": \"String\",\n  \"relationshipType\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship. product\n\n</td><td>\n\nA product reference or value \\(ProductRefOrValue\\). A produt to be created defined by value or existing defined by reference.The product meets one of the following criteria:\n\n-   Pending product creation defined by the value.\n-   Existing product defined by reference.\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship. relationshipType\n\n</td><td>\n\nType of the product relationship, such as `bundled` if the product is a bundle and you want to describe the the bundled products within.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.quantity\n\n</td><td>\n\nQuantity asked for this quote item.Data type: Number\n\n</td></tr><tr><td>\n\nquoteItem.state\n\n</td><td>\n\nA quote state type \\(QuoteStateType\\). State of the quote.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.@type\n\n</td><td>\n\nThis value is always `QuoteItem`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the order.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"role\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the quote table to get the account, contact, or customer.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\n Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer. Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nThe role of the party in the context of the quote \\(e.g., Account, Contact, or Customer\\).Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the quote item.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nType of resource. This value is always `Quote`. This information isn’t stored.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nThis example shows how to update a quote.\n\n```\ncurl \"https://k8s0747687-node1.thunder.devsnc.com/api/sn_tmf_api/quote_management_api/quote/cb15734fd5692a10f8774663edf0ac19\" \\\n--request PATCH \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n  \\\"@type\\\": \\\"Quote\\\",\n  \\\"description\\\": \\\"Quote for Internet and OTT Bundle\\\",\n  \\\"contactMedium\\\": [\n    {\n      \\\"@type\\\": \\\"GeographicalAddressContactMedium\\\",\n      \\\"mediumType\\\": \\\"ShippingAddressRef\\\",\n      \\\"locationId\\\": \\\"25ab96060a0a0bb300a6d66ce72095f2\\\",\n      \\\"city\\\": \\\"Santa Clara\\\",\n      \\\"country\\\": \\\"USA\\\",\n      \\\"postCode\\\": \\\"95050\\\",\n      \\\"stateOrProvince\\\": \\\"CA\\\",\n      \\\"street\\\": \\\"2866 Stevens Creek Blvd\\\"\n    }\n  ],\n  \\\"note\\\": [\n    {\n      \\\"@type\\\": \\\"Note\\\",\n      \\\"text\\\": \\\"This is a quote request following today call\\\"\n    }\n  ],\n  \\\"quoteItem\\\": [\n    {\n      \\\"id\\\": \\\"086be79bd5e1aa10f8774663edf0acba\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"ffeb447211bc3110f877366201dea6df\\\",\n        \\\"name\\\": \\\"Internet and OTT Bundle\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"597bab9bd5e1aa10f8774663edf0ac1b\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        },\n        {\n          \\\"product\\\": \\\"d57bab9bd5e1aa10f8774663edf0ac1a\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        },\n        {\n          \\\"product\\\": \\\"d57bab9bd5e1aa10f8774663edf0ac1c\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"d57bab9bd5e1aa10f8774663edf0ac1a\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"0761dd9fd0a63110f8770dbf976be173\\\",\n        \\\"name\\\": \\\"Solana Modem N Series\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"086be79bd5e1aa10f8774663edf0acba\\\",\n          \\\"relationshipType\\\": \\\"HasParent\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"597bab9bd5e1aa10f8774663edf0ac1b\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"8b61dd9fd0a63110f8770dbf976be140\\\",\n        \\\"name\\\": \\\"Basic internet - 100 Mbps Plan\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"086be79bd5e1aa10f8774663edf0acba\\\",\n          \\\"relationshipType\\\": \\\"HasParent\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"d57bab9bd5e1aa10f8774663edf0ac1c\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"62619d9fd0a63110f8770dbf976be180\\\",\n        \\\"name\\\": \\\"Solana Movie streaming channel\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"086be79bd5e1aa10f8774663edf0acba\\\",\n          \\\"relationshipType\\\": \\\"HasParent\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"797ca71fd5e1aa10f8774663edf0ac2b\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\",\n        \\\"productCharacteristic\\\": [\n          {\n            \\\"name\\\": \\\"Internet breakout\\\",\n            \\\"value\\\": \\\"No\\\"\n          },\n          {\n            \\\"name\\\": \\\"Quality of Service\\\",\n            \\\"value\\\": \\\"Basic\\\"\n          },\n          {\n            \\\"name\\\": \\\"Speed\\\",\n            \\\"value\\\": \\\"High\\\"\n          }\n        ],\n        \\\"productSpecification\\\": {\n          \\\"id\\\": \\\"cd81594e74ae4a10f877468e695efa81\\\",\n          \\\"name\\\": \\\"VPN Site PS\\\",\n          \\\"@type\\\": \\\"ProductSpecificationRef\\\"\n        }\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"6c3d1e86a5e20210f8774c9b4be6ce42\\\",\n        \\\"name\\\": \\\"VPN Site\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"7f8c6b1fd5e1aa10f8774663edf0ac71\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        },\n        {\n          \\\"product\\\": \\\"bb8c6b1fd5e1aa10f8774663edf0ac73\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        },\n        {\n          \\\"product\\\": \\\"bf8c6b1fd5e1aa10f8774663edf0ac70\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        },\n        {\n          \\\"product\\\": \\\"fb8c6b1fd5e1aa10f8774663edf0ac72\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"bf8c6b1fd5e1aa10f8774663edf0ac70\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"2c265d4274ee4a10f877468e695efa45\\\",\n        \\\"name\\\": \\\"Maintenance Fee\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"797ca71fd5e1aa10f8774663edf0ac2b\\\",\n          \\\"relationshipType\\\": \\\"HasParent\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"7f8c6b1fd5e1aa10f8774663edf0ac71\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"4466d50674ee4a10f877468e695efa0d\\\",\n        \\\"name\\\": \\\"Security Fee\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"797ca71fd5e1aa10f8774663edf0ac2b\\\",\n          \\\"relationshipType\\\": \\\"HasParent\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"fb8c6b1fd5e1aa10f8774663edf0ac72\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\",\n        \\\"productCharacteristic\\\": [\n          {\n            \\\"name\\\": \\\"Speed\\\",\n            \\\"value\\\": \\\"High\\\"\n          },\n          {\n            \\\"name\\\": \\\"Internet breakout\\\",\n            \\\"value\\\": \\\"No\\\"\n          }\n        ],\n        \\\"productSpecification\\\": {\n          \\\"id\\\": \\\"ee4f8d8a74ae4a10f877468e695efa3f\\\",\n          \\\"name\\\": \\\"VPN Endpoint PS\\\",\n          \\\"@type\\\": \\\"ProductSpecificationRef\\\"\n        }\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"7acc9e46a5e20210f8774c9b4be6ce9e\\\",\n        \\\"name\\\": \\\"VPN Endpoint\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"797ca71fd5e1aa10f8774663edf0ac2b\\\",\n          \\\"relationshipType\\\": \\\"HasParent\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"bb8c6b1fd5e1aa10f8774663edf0ac73\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\",\n        \\\"productCharacteristic\\\": [\n          {\n            \\\"name\\\": \\\"Quality of Service\\\",\n            \\\"value\\\": \\\"Basic\\\"\n          }\n        ],\n        \\\"productSpecification\\\": {\n          \\\"id\\\": \\\"3ba0914e74ae4a10f877468e695efa6e\\\",\n          \\\"name\\\": \\\"VPN Firewall PS\\\",\n          \\\"@type\\\": \\\"ProductSpecificationRef\\\"\n        }\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"4407d90674ee4a10f877468e695efaab\\\",\n        \\\"name\\\": \\\"VPN Firewall\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"797ca71fd5e1aa10f8774663edf0ac2b\\\",\n          \\\"relationshipType\\\": \\\"HasParent\\\"\n        }\n      ]\n    }\n  ],\n  \\\"relatedParty\\\": [\n    {\n      \\\"role\\\": \\\"Customer\\\",\n      \\\"id\\\": \\\"9e2fd2ee11b43110f877366201dea674\\\",\n      \\\"name\\\": \\\"Startech svcs\\\",\n      \\\"@type\\\": \\\"RelatedPartyRef\\\",\n      \\\"@referredType\\\": \\\"Organization\\\"\n    }\n  ],\n  \\\"state\\\": \\\"Draft\\\"\n}\" \\\n--user 'userName':'password'\n```\n\nResponse body.\n\n```\n{\n  \"@type\": \"Quote\",\n  \"description\": \"Quote for Internet and OTT Bundle\",\n  \"contactMedium\": [\n    {\n      \"@type\": \"GeographicalAddressContactMedium\",\n      \"mediumType\": \"ShippingAddressRef\",\n      \"locationId\": \"25ab96060a0a0bb300a6d66ce72095f2\",\n      \"city\": \"Santa Clara\",\n      \"country\": \"USA\",\n      \"postCode\": \"95050\",\n      \"stateOrProvince\": \"CA\",\n      \"street\": \"2866 Stevens Creek Blvd\"\n    }\n  ],\n  \"note\": [\n    {\n      \"@type\": \"Note\",\n      \"text\": \"This is a quote request following today call\"\n    }\n  ],\n  \"quoteItem\": [\n    {\n      \"id\": \"086be79bd5e1aa10f8774663edf0acba\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\"\n      },\n      \"productOffering\": {\n        \"id\": \"ffeb447211bc3110f877366201dea6df\",\n        \"name\": \"Internet and OTT Bundle\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"productRelationship\": [\n        {\n          \"product\": \"597bab9bd5e1aa10f8774663edf0ac1b\",\n          \"relationshipType\": \"HasChild\"\n        },\n        {\n          \"product\": \"d57bab9bd5e1aa10f8774663edf0ac1a\",\n          \"relationshipType\": \"HasChild\"\n        },\n        {\n          \"product\": \"d57bab9bd5e1aa10f8774663edf0ac1c\",\n          \"relationshipType\": \"HasChild\"\n        }\n      ]\n    },\n    {\n      \"id\": \"d57bab9bd5e1aa10f8774663edf0ac1a\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\"\n      },\n      \"productOffering\": {\n        \"id\": \"0761dd9fd0a63110f8770dbf976be173\",\n        \"name\": \"Solana Modem N Series\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"productRelationship\": [\n        {\n          \"product\": \"086be79bd5e1aa10f8774663edf0acba\",\n          \"relationshipType\": \"HasParent\"\n        }\n      ]\n    },\n    {\n      \"id\": \"597bab9bd5e1aa10f8774663edf0ac1b\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\"\n      },\n      \"productOffering\": {\n        \"id\": \"8b61dd9fd0a63110f8770dbf976be140\",\n        \"name\": \"Basic internet - 100 Mbps Plan\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"productRelationship\": [\n        {\n          \"product\": \"086be79bd5e1aa10f8774663edf0acba\",\n          \"relationshipType\": \"HasParent\"\n        }\n      ]\n    },\n    {\n      \"id\": \"d57bab9bd5e1aa10f8774663edf0ac1c\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\"\n      },\n      \"productOffering\": {\n        \"id\": \"62619d9fd0a63110f8770dbf976be180\",\n        \"name\": \"Solana Movie streaming channel\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"productRelationship\": [\n        {\n          \"product\": \"086be79bd5e1aa10f8774663edf0acba\",\n          \"relationshipType\": \"HasParent\"\n        }\n      ]\n    },\n    {\n      \"id\": \"797ca71fd5e1aa10f8774663edf0ac2b\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\",\n        \"productCharacteristic\": [\n          {\n            \"name\": \"Internet breakout\",\n            \"value\": \"No\"\n          },\n          {\n            \"name\": \"Quality of Service\",\n            \"value\": \"Basic\"\n          },\n          {\n            \"name\": \"Speed\",\n            \"value\": \"High\"\n          }\n        ],\n        \"productSpecification\": {\n          \"id\": \"cd81594e74ae4a10f877468e695efa81\",\n          \"name\": \"VPN Site PS\",\n          \"@type\": \"ProductSpecificationRef\"\n        }\n      },\n      \"productOffering\": {\n        \"id\": \"6c3d1e86a5e20210f8774c9b4be6ce42\",\n        \"name\": \"VPN Site\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"productRelationship\": [\n        {\n          \"product\": \"7f8c6b1fd5e1aa10f8774663edf0ac71\",\n          \"relationshipType\": \"HasChild\"\n        },\n        {\n          \"product\": \"bb8c6b1fd5e1aa10f8774663edf0ac73\",\n          \"relationshipType\": \"HasChild\"\n        },\n        {\n          \"product\": \"bf8c6b1fd5e1aa10f8774663edf0ac70\",\n          \"relationshipType\": \"HasChild\"\n        },\n        {\n          \"product\": \"fb8c6b1fd5e1aa10f8774663edf0ac72\",\n          \"relationshipType\": \"HasChild\"\n        }\n      ]\n    },\n    {\n      \"id\": \"bf8c6b1fd5e1aa10f8774663edf0ac70\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\"\n      },\n      \"productOffering\": {\n        \"id\": \"2c265d4274ee4a10f877468e695efa45\",\n        \"name\": \"Maintenance Fee\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"productRelationship\": [\n        {\n          \"product\": \"797ca71fd5e1aa10f8774663edf0ac2b\",\n          \"relationshipType\": \"HasParent\"\n        }\n      ]\n    },\n    {\n      \"id\": \"7f8c6b1fd5e1aa10f8774663edf0ac71\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\"\n      },\n      \"productOffering\": {\n        \"id\": \"4466d50674ee4a10f877468e695efa0d\",\n        \"name\": \"Security Fee\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"productRelationship\": [\n        {\n          \"product\": \"797ca71fd5e1aa10f8774663edf0ac2b\",\n          \"relationshipType\": \"HasParent\"\n        }\n      ]\n    },\n    {\n      \"id\": \"fb8c6b1fd5e1aa10f8774663edf0ac72\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\",\n        \"productCharacteristic\": [\n          {\n            \"name\": \"Speed\",\n            \"value\": \"High\"\n          },\n          {\n            \"name\": \"Internet breakout\",\n            \"value\": \"No\"\n          }\n        ],\n        \"productSpecification\": {\n          \"id\": \"ee4f8d8a74ae4a10f877468e695efa3f\",\n          \"name\": \"VPN Endpoint PS\",\n          \"@type\": \"ProductSpecificationRef\"\n        }\n      },\n      \"productOffering\": {\n        \"id\": \"7acc9e46a5e20210f8774c9b4be6ce9e\",\n        \"name\": \"VPN Endpoint\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"productRelationship\": [\n        {\n          \"product\": \"797ca71fd5e1aa10f8774663edf0ac2b\",\n          \"relationshipType\": \"HasParent\"\n        }\n      ]\n    },\n    {\n      \"id\": \"bb8c6b1fd5e1aa10f8774663edf0ac73\",\n      \"@type\": \"QuoteItem\",\n      \"action\": \"add\",\n      \"quantity\": \"1\",\n      \"state\": \"Draft\",\n      \"product\": {\n        \"@type\": \"Product\",\n        \"productCharacteristic\": [\n          {\n            \"name\": \"Quality of Service\",\n            \"value\": \"Basic\"\n          }\n        ],\n        \"productSpecification\": {\n          \"id\": \"3ba0914e74ae4a10f877468e695efa6e\",\n          \"name\": \"VPN Firewall PS\",\n          \"@type\": \"ProductSpecificationRef\"\n        }\n      },\n      \"productOffering\": {\n        \"id\": \"4407d90674ee4a10f877468e695efaab\",\n        \"name\": \"VPN Firewall\",\n        \"@type\": \"ProductOfferingRef\"\n      },\n      \"productRelationship\": [\n        {\n          \"product\": \"797ca71fd5e1aa10f8774663edf0ac2b\",\n          \"relationshipType\": \"HasParent\"\n        }\n      ]\n    }\n  ],\n  \"relatedParty\": [\n    {\n      \"role\": \"Customer\",\n      \"id\": \"9e2fd2ee11b43110f877366201dea674\",\n      \"name\": \"Startech svcs\",\n      \"@type\": \"RelatedPartyRef\",\n      \"@referredType\": \"Organization\"\n    }\n  ],\n  \"state\": \"Draft\",\n  \"id\": \"cb15734fd5692a10f8774663edf0ac19\",\n  \"version\": \"2\",\n  \"quoteDate\": \"2025-05-21 04:56:50\",\n  \"href\": \"api/sn_tmf_api/quote_management_api/quote/cb15734fd5692a10f8774663edf0ac19\"\n}\n```\n\n## Quote Management API – POST /sn\\_tmf\\_api/quote\\_management\\_api/quote\n\nCreates a quote.\n\nNew quote records are created in the following tables:\n\n-   Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n-   Sales Agreement \\[sn\\_sales\\_agmt\\_core\\_sales\\_agreement\\]\n-   Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n-   Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n-   Quote Pricing Adjustment \\[sn\\_quote\\_mgmt\\_core\\_pricing\\_adjustment\\]\n\n### URL format\n\nVersioned URL: `/api/sn_tmf_api/{api_version}/quote_management_api/quote`\n\nDefault URL: `/api/sn_tmf_api/quote_management_api/quote`\n\n### Supported request parameters\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n|Name|Description|\n|----|-----------|\n|None| |\n\n<table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of contact mediums. Contact information related to the quote requester.```\n\"contactMedium\": [\n {\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"postCode\": \"String\",\n  \"stateOrProvince\": \"String\",\n  \"street\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the location listed in the Location \\[cmn\\_location\\] table or custom address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nType of contact medium, such as email address, telephone number, or postal address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostal code of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nState or province in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street\n\n</td><td>\n\nStreet address of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of medium per the TMF Open API standard. For example, `GeographicalAddressContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the quote.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nUnique consumer-provided ID for the quote.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to access the quote.Data type: String\n\nDefault: Empty string\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes associated with the quote. Data type: Array\n\n```\n\"note\": [\n  {\n    \"text\": \"String\",\n    \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nContents of the note. Data type: String\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nquoteDate\n\n</td><td>\n\nDate and time at which the quote was created.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"quoteItem\": [\n {\n  \"action\": \"String\",\n  \"id\": \"String\",\n  \"product\": {Object},\n  \"productOffering\": {Object},\n  \"productRelationship\": {Object},\n  \"quantity\": Number,\n  \"state\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.action\n\n</td><td>\n\nAction to be performed on this quote item \\(add, modify, remove, etc.\\).Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.id\n\n</td><td>\n\nSys\\_id of the quote item.Table: Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product\n\n</td><td>\n\nList of products included in the quote.```\n\"product\": {\n  \"characteristic\": \"String\",\n  \"specification\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic\n\n</td><td>\n\nList of product characteristics.Data type: Array of Objects\n\n```\n\"characteristic\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\nSee [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md).\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.id\n\n</td><td>\n\nSys\\_id of the product characteristic.Table: Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.name\n\n</td><td>\n\nName of the product characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.@type\n\n</td><td>\n\nThis value is always `StringCharacteristic`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. specification\n\n</td><td>\n\nDetailed description of a tangible or intangible object made available externally in the form of a ProductOffering to customers or other parties playing a party role.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product.@type\n\n</td><td>\n\nThis value is always `Product`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productOffering\n\n</td><td>\n\nA product offering reference \\(ProductOfferingRef\\). A product offering represents entities that are orderable from the provider of the catalog.```\n\"productOffering\": {\n  \"href\": \"String\",\n  \"name\": \"String\",\n  \"name\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.href\n\n</td><td>\n\nReference of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.id\n\n</td><td>\n\nSys\\_id of product offering.Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.name\n\n</td><td>\n\nName of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"productRelationship\": [\n {\n  \"product\": \"String\",\n  \"relationshipType\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship. product\n\n</td><td>\n\nA product reference or value \\(ProductRefOrValue\\). A produt to be created defined by value or existing defined by reference.The product meets one of the following criteria:\n\n-   Pending product creation defined by the value.\n-   Existing product defined by reference.\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship. relationshipType\n\n</td><td>\n\nType of the product relationship, such as `bundled` if the product is a bundle and you want to describe the the bundled products within.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.quantity\n\n</td><td>\n\nQuantity asked for this quote item.Data type: Number\n\n</td></tr><tr><td>\n\nquoteItem.state\n\n</td><td>\n\nA quote state type \\(QuoteStateType\\). State of the quote.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.@type\n\n</td><td>\n\nThis value is always `QuoteItem`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the order.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"role\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the quote table to get the account, contact, or customer.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\n Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer. Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nThe role of the party in the context of the quote \\(e.g., Account, Contact, or Customer\\).Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the quote item.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nType of resource. This value is always `Quote`. This information isn’t stored.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|Content-Type|Data format of the response body. Only supports **application/json**.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table id=\"table_kmf_3jm_gqb\"><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n201\n\n</td><td>\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n400\n\n</td><td>\n\nBad Request. A bad request type or malformed request was detected.Possible reasons:\n\n-   Empty payload.\n-   Invalid payload. Mandatory field missing: &lt;field name&gt;.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\ncontactMedium\n\n</td><td>\n\nList of contact mediums. Contact information related to the quote requester.```\n\"contactMedium\": [\n {\n  \"city\": \"String\",\n  \"country\": \"String\",\n  \"locationId\": \"String\",\n  \"mediumType\": \"String\",\n  \"postCode\": \"String\",\n  \"stateOrProvince\": \"String\",\n  \"street\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\ncontactMedium.city\n\n</td><td>\n\nCity in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.country\n\n</td><td>\n\nCountry in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.locationId\n\n</td><td>\n\nSys\\_id of the location listed in the Location \\[cmn\\_location\\] table or custom address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.mediumType\n\n</td><td>\n\nType of contact medium, such as email address, telephone number, or postal address.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.postCode\n\n</td><td>\n\nPostal code of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.stateOrProvince\n\n</td><td>\n\nState or province in which the quote requester resides.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.street\n\n</td><td>\n\nStreet address of the quote requester.Data type: String\n\n</td></tr><tr><td>\n\ncontactMedium.@type\n\n</td><td>\n\nType of medium per the TMF Open API standard. For example, `GeographicalAddressContactMedium`.Data type: String\n\n</td></tr><tr><td>\n\ndescription\n\n</td><td>\n\nDescription of the quote.Data type: String\n\n</td></tr><tr><td>\n\nexternalId\n\n</td><td>\n\nUnique consumer-provided ID for the quote.Data type: String\n\n</td></tr><tr><td>\n\nhref\n\n</td><td>\n\nRelative link to access the quote.Data type: String\n\nDefault: Empty string\n\n</td></tr><tr><td>\n\nnote\n\n</td><td>\n\nList of notes associated with the quote. Data type: Array\n\n```\n\"note\": [\n  {\n    \"text\": \"String\",\n    \"@type\": \"String\"\n }\n]\n```\n\n</td></tr><tr><td>\n\nnote.text\n\n</td><td>\n\nContents of the note. Data type: String\n\n</td></tr><tr><td>\n\nnote.@type\n\n</td><td>\n\nThis value is always `Note`.Data type: String\n\n</td></tr><tr><td>\n\nquoteDate\n\n</td><td>\n\nDate and time at which the quote was created.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"quoteItem\": [\n {\n  \"action\": \"String\",\n  \"id\": \"String\",\n  \"product\": {Object},\n  \"productOffering\": {Object},\n  \"productRelationship\": {Object},\n  \"quantity\": Number,\n  \"state\": \"String\",\n  \"@type\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.action\n\n</td><td>\n\nAction to be performed on this quote item \\(add, modify, remove, etc.\\).Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.id\n\n</td><td>\n\nSys\\_id of the quote item.Table: Quote Line Item \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_item\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product\n\n</td><td>\n\nList of products included in the quote.```\n\"product\": {\n  \"characteristic\": \"String\",\n  \"specification\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic\n\n</td><td>\n\nList of product characteristics.Data type: Array of Objects\n\n```\n\"characteristic\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@type\": \"String\",\n    \"value\": \"String\"\n  }\n]\n```\n\nSee [Create product characteristics and characteristic options](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/order-management/som-product-config-add-characteristics.md).\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.id\n\n</td><td>\n\nSys\\_id of the product characteristic.Table: Quote Line Characteristic \\[sn\\_quote\\_mgmt\\_core\\_quote\\_line\\_characteristic\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.name\n\n</td><td>\n\nName of the product characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.@type\n\n</td><td>\n\nThis value is always `StringCharacteristic`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. characteristic.value\n\n</td><td>\n\nValue of the characteristic.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product. specification\n\n</td><td>\n\nDetailed description of a tangible or intangible object made available externally in the form of a ProductOffering to customers or other parties playing a party role.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.product.@type\n\n</td><td>\n\nThis value is always `Product`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productOffering\n\n</td><td>\n\nA product offering reference \\(ProductOfferingRef\\). A product offering represents entities that are orderable from the provider of the catalog.```\n\"productOffering\": {\n  \"href\": \"String\",\n  \"name\": \"String\",\n  \"name\": \"String\",\n  \"@type\": \"String\"\n}\n```\n\nData type: Object\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.href\n\n</td><td>\n\nReference of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.id\n\n</td><td>\n\nSys\\_id of product offering.Table: Product Offering \\[sn\\_prd\\_pm\\_product\\_offering\\]\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.name\n\n</td><td>\n\nName of the related entity.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem. productOffering.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship\n\n</td><td>\n\nA list of quote items. Each quote item describes an action for a product to be quoted.```\n\"productRelationship\": [\n {\n  \"product\": \"String\",\n  \"relationshipType\": \"String\"\n }\n]\n```\n\nData type: Array of Objects\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship. product\n\n</td><td>\n\nA product reference or value \\(ProductRefOrValue\\). A produt to be created defined by value or existing defined by reference.The product meets one of the following criteria:\n\n-   Pending product creation defined by the value.\n-   Existing product defined by reference.\n\nData type: String\n\n</td></tr><tr><td>\n\nquoteItem.productRelationship. relationshipType\n\n</td><td>\n\nType of the product relationship, such as `bundled` if the product is a bundle and you want to describe the the bundled products within.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.quantity\n\n</td><td>\n\nQuantity asked for this quote item.Data type: Number\n\n</td></tr><tr><td>\n\nquoteItem.state\n\n</td><td>\n\nA quote state type \\(QuoteStateType\\). State of the quote.Data type: String\n\n</td></tr><tr><td>\n\nquoteItem.@type\n\n</td><td>\n\nThis value is always `QuoteItem`.Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty\n\n</td><td>\n\nList of contacts for the order.Data type: Array of Objects\n\n```\n\"relatedParty\": [\n  {\n    \"id\": \"String\",\n    \"name\": \"String\",\n    \"@referredType\": \"String\",\n    \"role\": \"String\",\n    \"@type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelatedParty.id\n\n</td><td>\n\nSys\\_id of the quote table to get the account, contact, or customer.Table: Quote \\[sn\\_quote\\_mgmt\\_core\\_quote\\]\n\n Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.name\n\n</td><td>\n\nName of the account, customer, or consumer. Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@referredType\n\n</td><td>\n\nType of customer. Possible values:\n\n-   Consumer\n-   Customer\n-   CustomerContact\n\nData type: String\n\n</td></tr><tr><td>\n\nrelatedParty.role\n\n</td><td>\n\nThe role of the party in the context of the quote \\(e.g., Account, Contact, or Customer\\).Data type: String\n\n</td></tr><tr><td>\n\nrelatedParty.@type\n\n</td><td>\n\nThis value is always `ProductOfferingRef`.Data type: String\n\n</td></tr><tr><td>\n\nstate\n\n</td><td>\n\nState of the quote item.Data type: String\n\n</td></tr><tr><td>\n\n@type\n\n</td><td>\n\nType of resource. This value is always `Quote`. This information isn’t stored.Data type: String\n\n</td></tr></tbody>\n</table>The following example shows how to create a quote.\n\n```\ncurl \"http://localhost:8080/api/sn_tmf_api/quote_management_api/quote\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{\n  \\\"@type\\\": \\\"Quote\\\",\n  \\\"description\\\": \\\"Quote for Internet and OTT Bundle\\\",\n  \\\"state\\\": \\\"Draft\\\",\n  \\\"externalId\\\": \\\"12233\\\",\n  \\\"contactMedium\\\": [\n    {\n      \\\"@type\\\": \\\"GeographicalAddressContactMedium\\\",\n      \\\"mediumType\\\": \\\"ShippingAddressRef\\\",\n      \\\"locationId\\\": \\\"6774fee611383110f877366201dea64f\\\",\n      \\\"city\\\": \\\"Santa Clara\\\",\n      \\\"country\\\": \\\"USA\\\",\n      \\\"postCode\\\": \\\"95050\\\",\n      \\\"stateOrProvince\\\": \\\"CA\\\",\n      \\\"street\\\": \\\"2866 Stevens Creek Blvd\\\"\n    }\n  ],\n  \\\"note\\\": [\n    {\n      \\\"@type\\\": \\\"Note\\\",\n      \\\"text\\\": \\\"This is a quote request for the Internet and OTT Bundle\\\"\n    }\n  ],\n  \\\"quoteItem\\\": [\n    {\n      \\\"id\\\": \\\"ea88d77c4165ae10f8776348db5f9196\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"ffeb447211bc3110f877366201dea6df\\\",\n        \\\"href\\\": \\\"api/sn_tmf_api/catalogmanagement/productOffering/ffeb447211bc3110f877366201dea6df\\\",\n        \\\"name\\\": \\\"Internet and OTT Bundle\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"3688d77c4165ae10f8776348db5f91cf\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        },\n        {\n          \\\"product\\\": \\\"3a881b7c4165ae10f8776348db5f911b\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        },\n        {\n          \\\"product\\\": \\\"7e88d77c4165ae10f8776348db5f91fb\\\",\n          \\\"relationshipType\\\": \\\"HasChild\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"3688d77c4165ae10f8776348db5f91cf\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"0761dd9fd0a63110f8770dbf976be173\\\",\n        \\\"href\\\": \\\"api/sn_tmf_api/catalogmanagement/productOffering/0761dd9fd0a63110f8770dbf976be173\\\",\n        \\\"name\\\": \\\"Solana Modem N Series\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"ea88d77c4165ae10f8776348db5f9196\\\",\n          \\\"relationshipType\\\": \\\"HasParent\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"7e88d77c4165ae10f8776348db5f91fb\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOffering\\\": {\n        \\\"id\\\": \\\"8b61dd9fd0a63110f8770dbf976be140\\\",\n        \\\"href\\\": \\\"api/sn_tmf_api/catalogmanagement/productOffering/8b61dd9fd0a63110f8770dbf976be140\\\",\n        \\\"name\\\": \\\"Basic internet - 100 Mbps Plan\\\",\n        \\\"@type\\\": \\\"ProductOfferingRef\\\"\n      },\n      \\\"productRelationship\\\": [\n        {\n          \\\"product\\\": \\\"ea88d77c4165ae10f8776348db5f9196\\\",\n          \\\"relationshipType\\\": \\\"HasParent\\\"\n        }\n      ]\n    },\n    {\n      \\\"id\\\": \\\"3a881b7c4165ae10f8776348db5f911b\\\",\n      \\\"@type\\\": \\\"QuoteItem\\\",\n      \\\"action\\\": \\\"add\\\",\n      \\\"quantity\\\": \\\"1\\\",\n      \\\"state\\\": \\\"Draft\\\",\n      \\\"product\\\": {\n        \\\"@type\\\": \\\"Product\\\"\n      },\n      \\\"productOfferin
[...]
